Bug 144943 - FILEOPEN PPTX Read-only passwords on PPTX files are not working
Summary: FILEOPEN PPTX Read-only passwords on PPTX files are not working
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.3.0
Keywords: filter:pptx
Depends on:
Blocks: Password-Protected
  Show dependency treegraph
 
Reported: 2021-10-05 12:04 UTC by NISZ LibreOffice Team
Modified: 2021-11-08 12:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from PowerPoint with passwords (36.50 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2021-10-05 12:05 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-10-05 12:04:21 UTC
Description:
This is a followup to bug 89383
The password protected "read only" property is ignored by Impress

Steps to Reproduce:
1.Open attached file.
2.Write “a” for first password
3.

Actual Results:
Notice that Impress ignore read only mode

Expected Results:
It should needed a second password(“b”) for enter editing mode


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c2de581d1943df2d84f2b71817b6a8bee41f0217
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-10-05 12:05:32 UTC
Created attachment 175540 [details]
Example file from PowerPoint with passwords
Comment 2 Xisco Faulí 2021-10-05 13:51:19 UTC
Reproduced in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: b845fc51bb5c40eac121bbe52d8c77257bcbcdf3
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Commit Notification 2021-10-13 12:46:48 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5697e09b3e726a38b58ce31ac0c3a97e7871c74a

tdf#144943 PPTX import: fix permission for editing

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2021-11-08 12:26:38 UTC
Verified in: 

Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 73334560b2dd2d60ac58d2cc2b1a5295490b03e1
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded